export { language, Language, LRLanguage, Sublanguage, sublanguageProp, defineLanguageFacet, syntaxTree, ensureSyntaxTree, languageDataProp, ParseContext, LanguageSupport, LanguageDescription, syntaxTreeAvailable, syntaxParserRunning, forceParsing } from "./language";
export { IndentContext, getIndentUnit, indentString, indentOnInput, indentService, getIndentation, indentRange, indentUnit, TreeIndentContext, indentNodeProp, delimitedIndent, continuedIndent, flatIndent } from "./indent";
export { foldService, foldNodeProp, foldInside, foldable, foldCode, unfoldCode, toggleFold, foldAll, unfoldAll, foldKeymap, codeFolding, foldGutter, foldedRanges, foldEffect, unfoldEffect, foldState } from "./fold";
export { HighlightStyle, syntaxHighlighting, highlightingFor, TagStyle, defaultHighlightStyle } from "./highlight";
export { bracketMatching, Config, matchBrackets, MatchResult, bracketMatchingHandle } from "./matchbrackets";
export { StreamLanguage, StreamParser } from "./stream-parser";
export { StringStream } from "./stringstream";
