export declare class StringStream {
    string: string;
    private tabSize;
    indentUnit: number;
    private overrideIndent?;
    pos: number;
    start: number;
    private lastColumnPos;
    private lastColumnValue;
    constructor(string: string, tabSize: number, indentUnit: number, overrideIndent?: number);
    eol(): boolean;
    sol(): boolean;
    peek(): string;
    next(): string | void;
    eat(match: string | RegExp | ((ch: string) => boolean)): string | void;
    eatWhile(match: string | RegExp | ((ch: string) => boolean)): boolean;
    eatSpace(): boolean;
    skipToEnd(): void;
    skipTo(ch: string): boolean | void;
    backUp(n: number): void;
    column(): number;
    indentation(): number;
    match(pattern: string | RegExp, consume?: boolean, caseInsensitive?: boolean): boolean | RegExpMatchArray | null;
    current(): string;
}
